clang-tools 8.0.0

Public Member Functions | Static Public Attributes | List of all members
clang::clangd::SymbolLocation::Position Struct Reference

`#include <Index.h>`

Collaboration diagram for clang::clangd::SymbolLocation::Position:
[legend]

## Public Member Functions
| Position ()
void | setLine (uint32_t Line)
uint32_t | line () const
void | setColumn (uint32_t Column)
uint32_t | column () const
bool | hasOverflow () const

## Static Public Attributes
static constexpr uint32_t | MaxLine = (1 << 20) - 1
static constexpr uint32_t | MaxColumn = (1 << 12) - 1

## Detailed Description

Definition at line 40 of file Index.h.

## Constructor & Destructor Documentation

## ◆ Position()

clang::clangd::SymbolLocation::Position::Position | ( |  | ) |
| inline

Definition at line 41 of file Index.h.

References setLine().

## Member Function Documentation

## ◆ column()

uint32_t clang::clangd::SymbolLocation::Position::column | ( |  | ) | const
| inline

Definition at line 45 of file Index.h.

Referenced by llvm::yaml::NormalizedPosition::NormalizedPosition(), clang::clangd::operator<(), clang::clangd::operator<<(), and clang::clangd::operator==().

## ◆ hasOverflow()

bool clang::clangd::SymbolLocation::Position::hasOverflow | ( |  | ) | const
| inline

Definition at line 47 of file Index.h.

References MaxColumn, and MaxLine.

## ◆ line()

uint32_t clang::clangd::SymbolLocation::Position::line | ( |  | ) | const
| inline

Definition at line 43 of file Index.h.

References setColumn().

Referenced by llvm::yaml::NormalizedPosition::NormalizedPosition(), clang::clangd::operator<(), clang::clangd::operator<<(), and clang::clangd::operator==().

## ◆ setColumn()

void clang::clangd::SymbolLocation::Position::setColumn | ( | uint32_t | Column | ) |

Definition at line 29 of file Index.cpp.

References MaxColumn.

Referenced by llvm::yaml::NormalizedPosition::denormalize(), and line().

## ◆ setLine()

void clang::clangd::SymbolLocation::Position::setLine | ( | uint32_t | Line | ) |

Definition at line 22 of file Index.cpp.

References MaxLine.

Referenced by llvm::yaml::NormalizedPosition::denormalize(), and Position().

## Member Data Documentation

## ◆ MaxColumn

constexpr uint32_t clang::clangd::SymbolLocation::Position::MaxColumn = (1 << 12) - 1
| static

Definition at line 52 of file Index.h.

Referenced by hasOverflow(), and setColumn().

## ◆ MaxLine

constexpr uint32_t clang::clangd::SymbolLocation::Position::MaxLine = (1 << 20) - 1
| static

Definition at line 51 of file Index.h.

Referenced by hasOverflow(), and setLine().

The documentation for this struct was generated from the following files:

- Index.h
- Index.cpp